Skip to main content
PATCH
Update User Settings

Authorizations

Authorization
string
header
required

Get access to data with your user's JSON Web Token.

Body

application/json
userId
string

NOTE: Field number is nonsequential because it was added later. But it's first because it's a path param. The user ID to fetch settings for. NOTE: As of June 2025, it must be equal to the requester's ID.

primaryEmail
string

the user's currently selected email address

hasAcceptedToc
boolean

if the user has accepted the terms of service

subscribe
boolean

if the user is subscribed to emails

contactAboutExperiments
boolean

if the user would like to be contacted about product experiments

usedCliLogin
boolean

if the user has used the CLI to login

hasCompletedFindingsTour
boolean

if the user has completed the findings product tour, deprecated (see findings_tour_state)

hasCompletedSupplyChainTour
boolean

if the user has completed the supply chain product tour, deprecated (see supply_chain_tour_state)

findingsTourState
enum<string>

the completion state of the findings product tour

valuedescription
TOUR_STATE_INCOMPLETE
TOUR_STATE_COMPLETE
TOUR_STATE_SKIPPED
Available options:
TOUR_STATE_INCOMPLETE,
TOUR_STATE_COMPLETE,
TOUR_STATE_SKIPPED
supplyChainTourState
enum<string>

the completion state of the supply chain product tour

valuedescription
TOUR_STATE_INCOMPLETE
TOUR_STATE_COMPLETE
TOUR_STATE_SKIPPED
Available options:
TOUR_STATE_INCOMPLETE,
TOUR_STATE_COMPLETE,
TOUR_STATE_SKIPPED
supplyChainFindingsTourState
enum<string>

the completion state of the supply chain product tour

valuedescription
TOUR_STATE_INCOMPLETE
TOUR_STATE_COMPLETE
TOUR_STATE_SKIPPED
Available options:
TOUR_STATE_INCOMPLETE,
TOUR_STATE_COMPLETE,
TOUR_STATE_SKIPPED
eventSource
enum<string>

capture the event source, which may be passed as a query param (e.g. ?event_source=Welcome)

valuedescription
Welcome
Findings
ExistingScaUserVulnsTour
NewScaUserVulnsTour
AccountSettingsPanel
Vulns
useOnboardingTaskData
AiScanTour
AutofixIntro
ScaAutofixIntro
MultimodalBanner
CombinedFindings
Available options:
Welcome,
Findings,
ExistingScaUserVulnsTour,
NewScaUserVulnsTour,
AccountSettingsPanel,
Vulns,
useOnboardingTaskData,
AiScanTour,
AutofixIntro,
ScaAutofixIntro,
MultimodalBanner,
CombinedFindings
tourStates
object[]

scalable structure for tour states

Response

200 - application/json

OK

user
object